Skip to main content
PATCH
Patch lead list

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The ID of the item to update

Example:

"01a16b40-d33f-781c-9e19-b265194a2a7e"

Body

application/json
has_enrichment_task
boolean | null

Whether this list runs the enrichment process on every added lead or not

Example:

false

owned_by
string<uuid> | null

User ID of the owner of this lead list. Defaults to the user that created the list

Example:

"01a16b40-80b0-71a7-941f-a7755bc549c8"

name
string

Name of the lead list

Example:

"My Lead List"

Response

The updated Lead List

A list used to store leads

id
string<uuid>
required
read-only

Unique identifier for the lead list

Example:

"01a16b40-80b0-71a7-941f-a77314ee6b4e"

organization_id
string<uuid>
required
read-only

Organization ID that owns this lead list

Example:

"01a16b40-80b0-71a7-941f-a77409619788"

name
string
required

Name of the lead list

Example:

"My Lead List"

timestamp_created
string<date-time>
required
read-only

Timestamp when the lead list was created

Example:

"2026-10-24T00:12:31.792Z"

has_enrichment_task
null | boolean

Whether this list runs the enrichment process on every added lead or not

Example:

false

owned_by
null | string<uuid>

User ID of the owner of this lead list. Defaults to the user that created the list

Example:

"01a16b40-80b0-71a7-941f-a7755bc549c8"